
import os
import re
import json
import time
import base64
import hashlib
import calendar
import random
import string

def generate_random_password(length=12):
    if not isinstance(length, int) or length < 1:
        raise ValueError("Length must be a positive integer")
    characters = string.ascii_letters + string.digits
    return ''.join(random.choice(characters) for i in range(length))

